The Apache Haus Forum

Forum Topics => Other Software => Topic started by: Gregg on September 17, 2012, 10:27:52 AM

Title: PHP still shipping with phpapache2_3.dll
Post by: Gregg on September 17, 2012, 10:27:52 AM
Why?

Mario, you still talk to Pierre often? Why has this not been upgraded to 2_4 yet? 2.3 was beta software to begin with and shouldn't be in use anymore.
Title: Re: PHP still shipping with phpapache2_3.dll
Post by: mario on September 17, 2012, 11:05:01 AM
What is just an naming issue in the compile script settings. There is already a bug report 62267 (https://bugs.php.net/bug.php?id=62267) with a patch attached. No one did take care of it yet...
And nope Pierre isn't answering much...
Title: Re: PHP still shipping with phpapache2_3.dll
Post by: Jan-E on December 21, 2012, 12:06:21 AM
PHP 5.4.10 finally has phpapache2_4.dll on board. But take care: if you are using Apachelounge's apache builds you'll probably be better off with their phpapache2_4.dll, because they build Apache with VC10 and the precompiled PHP from php.net still is VC9. The apache builds on this site are VC9, so you can use the shipped phpapache2_4.
Title: Re: PHP still shipping with phpapache2_3.dll
Post by: Gregg on December 21, 2012, 02:04:44 AM
the precompiled PHP from php.net still is VC9. The apache builds on this site are VC9, so you can use the shipped phpapache2_4.

This is the exact reason we still build with VC9, or we would have gone VC10 (even tho I do not like it) 2 years ago.
But hooray, I didn't look closely at php 5.4.10 to see it there.
Title: Re: PHP still shipping with phpapache2_3.dll
Post by: Jan-E on December 21, 2012, 03:43:58 AM
The strange thing is that the source of PHP 5.3.20 also has the 2_4 aboard, but they do not build the DLL. Should not be a real problem to compile it:
http://dl.dropbox.com/u/8954372/php-5.3.20-Win32-VC9-x86.zip
Title: Re: PHP still shipping with phpapache2_3.dll
Post by: mario on December 23, 2012, 10:59:14 PM
The strange thing is that the source of PHP 5.3.20 also has the 2_4 aboard, but they do not build the DLL.

well first there was an issue in the source with that dll, but since some members of apachelounge fixed it it came into the source. But php guys want 5.3 to end and the place they want people to download apache is here or apachelounge aand since there is that dll for download they did not care so much about it.